<template>
  <div style="display:inline">
    <el-popconfirm
      title="确定删除当前通告吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="primary" plain>删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "id":20221101095103,
        "method": "delete",
        "content": {
          "sat_noticeids":[this.$route.query.id]
        }
      }).then(res=>{
        this.tool.showMessage(res,()=>{
          this.$emit('onSuccess')
        })
      })
    },
  }
}

</script>
